---
extracts:
# Not Nullable. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: CA10__engine__c
    value:
      FIELD:
        path: CA10__engine__c
        undeterminedIf:
          isEmpty: "Corrupted data. DB Instance Engine cannot be empty."
# Not Nullable. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: CA10__endpointPort__c
    value:
      FIELD:
        path: CA10__endpointPort__c
        undeterminedIf:
          isEmpty: "Corrupted data. DB Endpoint Port cannot be empty."
# Checkbox. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: CA10__publiclyAccessible__c
    value:
      FIELD:
        path: CA10__publiclyAccessible__c
# Checkbox. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: CA10__storageEncrypted__c
    value: 
      FIELD:
        path: CA10__storageEncrypted__c
# Checkbox. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: CA10__autoMinorVersionUpgrade__c
    value: 
      FIELD:
        path: CA10__autoMinorVersionUpgrade__c
# Checkbox. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: CA10__multiAz__c
    value: 
      FIELD:
        path: CA10__multiAz__c
# Nullable. Values: available, backing-up, creating ...
  - name: "CA10__status__c"
    value:
      FIELD:
        path: "CA10__status__c"
# Nullable.
  - name: "CA10__createTime__c"
    value:
      FIELD:
        path: "CA10__createTime__c"
# Nullable.
  - name: "CA10__averageCpuOneMonth__c"
    value:
      FIELD:
        path: "CA10__averageCpuOneMonth__c"
# Nullable.
  - name: "CA10__regionName__c"
    value:
      FIELD:
        path: "CA10__regionName__c"
# Nullable.
  - name: "CA10__diskReadIopsAvg30d__c"
    value:
      FIELD:
        path: "CA10__diskReadIopsAvg30d__c"
# Nullable.
  - name: "CA10__diskWriteIopsAvg30d__c"
    value:
      FIELD:
        path: "CA10__diskWriteIopsAvg30d__c"
# Nullable.
  - name: "CA10__databaseConnectionsAvg30d__c"
    value:
      FIELD:
        path: "CA10__databaseConnectionsAvg30d__c"
# Not nullable. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: "CA10__backupRetentionPeriod__c"
    value:
      FIELD:
        path: "CA10__backupRetentionPeriod__c"
# Text.
  - name: CA10__masterUsername__c
    value:
      FIELD:
        path: CA10__masterUsername__c
# Checkbox.
  - name: CA10__iamDatabaseAuthenticationEnabled__c
    value:
      FIELD:
        path: CA10__iamDatabaseAuthenticationEnabled__c
# Text.
  - name: CA10__enabledCloudWatchLogsExports__c
    value:
      FIELD:
        path: CA10__enabledCloudWatchLogsExports__c
# Checkbox.
  - name: CA10__deletionProtection__c
    value:
      FIELD:
        path: CA10__deletionProtection__c
# Nullable. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: CA10__clusterArn__c
    value:
      FIELD:
        path: CA10__clusterArn__c
# Not nullable. Can't have no access, retrieved via rds:DescribeDBInstances
  - name: "CA10__monitoringInterval__c"
    value:
      FIELD:
        path: "CA10__monitoringInterval__c"
# Checkbox.
  - name: CA10__copyTagsToSnapshot__c
    value:
      FIELD:
        path: CA10__copyTagsToSnapshot__c
